<script setup lang="ts">
import { storeToRefs } from "pinia";
import { useAuthStore } from "./stores/auth";
import { RouterView } from 'vue-router';
import LoginButton from './components/LoginButton.vue';

const authStore = useAuthStore();
const { token } = storeToRefs(authStore);
</script>

<template>
  <el-container>
    <el-header>
      <div class="navigation-bar">


        <el-menu mode="horizontal" :router="true">

          <el-menu-item index="/">Booklon</el-menu-item>
          <el-menu-item index="/planning">Planning</el-menu-item>
          <el-menu-item index="/select-fabrique">Changer de Fabrique</el-menu-item>
          <el-menu-item index="/placing">Plans de table</el-menu-item>
          <el-menu-item v-if="token" index="/manage-rooms">Gérer les salles</el-menu-item>
          <el-menu-item v-if="token" index="/manage-promos">Gérer les promos</el-menu-item>
          <el-menu-item v-if="token" index="/manage-fabriques">Gérer les fabriques</el-menu-item>
          <el-row align="middle">
            <LoginButton />
          </el-row>
        </el-menu>


      </div>

    </el-header>

    <el-main>
      <RouterView />
    </el-main>
  </el-container>
</template>

<style scoped>
.navigation-bar {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}

.el-menu {
  width: 100%;
}

.navigation-link {
  margin: 15px;
}

.flex-grow {
  flex-grow: 1;
}
</style>
